Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.geometry.partitioning
Interface Hyperplane<S extends Space>

Type Parameters:
  `S` - Type of the space.

All Known Implementing Classes:
  Line, OrientedPoint, Plane

    public interface Hyperplane<S extends Space>

This interface represents an hyperplane of a space.

The most prominent place where hyperplane appears in space partitioning is as cutters. Each partitioning node in a `BSP tree` has a cut `sub-hyperplane` which is either an hyperplane or a part of an hyperplane. In an n-dimensions euclidean space, an hyperplane is an (n-1)-dimensions hyperplane (for example a traditional plane in the 3D euclidean space). They can be more exotic objects in specific fields, for example a circle on the surface of the unit sphere.

Since:
  3.0
Version:
  $Id: Hyperplane.java 1416643 2012-12-03 19:37:14Z tn $

Method Summary
`Hyperplane<S>` | `copySelf()` Copy the instance.
`double` | `getOffset(Vector<S> point)` Get the offset (oriented distance) of a point.
`boolean` | `sameOrientationAs(Hyperplane<S> other)` Check if the instance has the same orientation as another hyperplane.
`SubHyperplane<S>` | `wholeHyperplane()` Build a sub-hyperplane covering the whole hyperplane.
`Region<S>` | `wholeSpace()` Build a region covering the whole space.

Method Detail

### copySelf

    Hyperplane<S> copySelf()

  Copy the instance.

  The instance created is completely independant of the original one. A deep copy is used, none of the underlying objects are shared (except for immutable objects).

  Returns:
    a new hyperplane, copy of the instance

### getOffset

    double getOffset(Vector<S> point)

  Get the offset (oriented distance) of a point.

  The offset is 0 if the point is on the underlying hyperplane, it is positive if the point is on one particular side of the hyperplane, and it is negative if the point is on the other side, according to the hyperplane natural orientation.

  Parameters:
    `point` - point to check
  Returns:
    offset of the point

### sameOrientationAs

    boolean sameOrientationAs(Hyperplane<S> other)

  Check if the instance has the same orientation as another hyperplane.

  This method is expected to be called on parallel hyperplanes. The method should not re-check for parallelism, only for orientation, typically by testing something like the sign of the dot-products of normals.

  Parameters:
    `other` - other hyperplane to check against the instance
  Returns:
    true if the instance and the other hyperplane have the same orientation

### wholeHyperplane

    SubHyperplane<S> wholeHyperplane()

  Build a sub-hyperplane covering the whole hyperplane.

  Returns:
    a sub-hyperplane covering the whole hyperplane

### wholeSpace

    Region<S> wholeSpace()

  Build a region covering the whole space.

  Returns:
    a region containing the instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.